import request from '@/utils/request'

//获取银行配置列表
export function getBankList(params) {
  return request({
    url: '/system/manage/bank/list',
    method: 'get',
    params
  })
}

//删除银行配置列表
export function deleteBank(data) {
  return request({
    url: '/system/manage/bank/delete',
    method: 'post',
    data
  })
}

//获取单挑银行配置列表
export function getOneBankList(params) {
  return request({
    url: '/system/manage/bank/detail',
    method: 'get',
    params
  })
}


//新增银行配置列表
export function saveBank(data) {
  return request({
    url: '/system/manage/bank/save',
    method: 'post',
    data
  })
}

//修改银行配置列表
export function updateBank(data) {
  return request({
    url: '/system/manage/bank/update',
    method: 'post',
    data
  })
}


